## shelldap 1.5.1

=== Makefile ===

VERSION := $(shell awk '/VERSION =/ { print $$4 }' shelldap | sed -e "s/[';]//g")

release:
	@mkdir shelldap-${VERSION}
	@cp shelldap shelldap-${VERSION}
	@pod2text shelldap > shelldap-${VERSION}/USAGE
	@tar -czvf shelldap-${VERSION}.tar.gz shelldap-${VERSION}
	@rm -rf shelldap-${VERSION}

## shelldap 0.2+hg20100715

=== debian/changelog ===
shelldap (0.2+hg20100715-1) unstable; urgency=low

  * New upstream version from mercurial snapshot from 15. Jul 2010.
  * Convert to '3.0 (quilt)' source package format. Drop README.source as not
    needed anymore. 
  * debian/control: Drop Build-Depends on quilt (>= 0.46-7).
  * debian/rules: Remove --with quilt usage in rules makefile.
  * debian/copyright:
    - Fix Format-Specification URL.
    - Update copyright years for debian/* packaging and adjust layout
      for debian/* packaging stanza.
  * Bump Standards-Version to 3.9.1.
    - debian/copyright: Drop reference to /usr/share/common-licenses/BSD
      as new Debian Policy droped BSD licenses from the list of licenses
      which should be refered to the file under `/usr/share/common-licenses'.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 19 Sep 2010 00:04:55 +0200

shelldap (0.2-1) unstable; urgency=low

  * Initial release (Closes: #548271)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 28 Sep 2009 20:10:07 +0200

=== debian/control ===
Source: shelldap
Section: utils
Priority: optional
Maintainer: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: perl
Standards-Version: 3.9.1
Homepage: http://projects.martini.nu/shelldap

Package: shelldap
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, 
 libyaml-syck-perl, libterm-shell-perl, libnet-ldap-perl,
 libalgorithm-diff-perl, libterm-readkey-perl, libterm-readline-gnu-perl
Description: shell-like interface for browsing LDAP servers and editing their content
 Shelldap lets you browse and edit an LDAP tree as if it were a filesystem.  It
 keeps command history, has sane autocompletes, credential caching, site-wide
 and individual configs, and it's fun to say. Shelldap! Shelldap! Shelldap!

## shelldap 0.4

=== debian/changelog ===
shelldap (0.4-2) unstable; urgency=low

  * Add ssl-errmsg.patch to exit with a nicer error message if
    IO::Socket::SSL isnt installed, but the user is requesting SSL/TLS.
    (Closes: #614350).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Feb 2011 17:32:24 +0100

shelldap (0.4-1) unstable; urgency=low

  * New upstream release
  * Update my email address
  * debian/control: Drop the DM-Upload-Allowed control field.
  * debian/copyright: Update copyright years.
  * Drop fix-manpage-layout.patch as it is applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Feb 2011 08:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shelldap
 Section: utils
 Priority: optional
-Maintainer: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
-DM-Upload-Allowed: yes
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: perl
 Standards-Version: 3.9.1

## shelldap 0.5

=== debian/changelog ===
shelldap (0.5-2) unstable; urgency=low

  * Add fix-for-conversion-path-to-dn.patch patch.
    Fix a bug in the conversion from given path to dn, introduced in
    shelldap 0.5  with passwd arguments.
    See: http://projects.martini.nu/shelldap/changeset/c6a3abc56c746e20671b04ae8edf8af14293076d

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Nov 2011 12:55:27 +0100

shelldap (0.5-1) unstable; urgency=low

  * Imported Upstream version 0.5
    + Make sure the hasSubordinates attribute is defined before checking
      its value (Closes: #639506).
  * Drop ssl-errmsg.patch patch. Patch was applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 09 Sep 2011 13:14:10 +0200

shelldap (0.4-3) unstable; urgency=low

  * debian/control: Add Recommends on libio-socket-ssl-perl.
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Aug 2011 07:38:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://projects.martini.nu/shelldap
 
 Package: shelldap
@@ -12,6 +12,7 @@
 Depends: ${misc:Depends}, ${perl:Depends}, 
  libyaml-syck-perl, libterm-shell-perl, libnet-ldap-perl,
  libalgorithm-diff-perl, libterm-readkey-perl, libterm-readline-gnu-perl
+Recommends: libio-socket-ssl-perl
 Description: shell-like interface for browsing LDAP servers and editing their content
  Shelldap lets you browse and edit an LDAP tree as if it were a filesystem.  It
  keeps command history, has sane autocompletes, credential caching, site-wide

## shelldap 1.0.2

=== debian/changelog ===
shelldap (1.0.2-1) unstable; urgency=low

  * Upload to unstable
  * Imported Upstream version 1.0.2
  * Update copyright years for upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 May 2013 23:31:21 +0200

shelldap (1.0.0-1) experimental; urgency=low

  * Imported Upstream version 1.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Mar 2013 07:31:40 +0100

shelldap (0.7-1) experimental; urgency=low

  * Imported Upstream version 0.7
  * Update debian/copyright information.
    Update copyright years for upstream files and for debian/* packaging
    files.
  * Drop fix-for-conversion-path-to-dn.patch patch.
    Patch included in version 0.7.
  * Drop 0001-Take-only-second-argument-for-run_-cd-edit-mkdir.patch patch.
    Patch is included in version 0.7.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 16 Jan 2013 22:02:29 +0100

shelldap (0.5-3) experimental; urgency=low

  * Add 0001-Take-only-second-argument-for-run_-cd-edit-mkdir.patch patch.
    Take only second argument for run_{cd,edit,mkdir}. Make the behaviour of
    cd, edit and mkdir similar to cat and delete/rm and fail if some RDN's
    in the argument contain spaces without being quoted.
    Thanks to Dominik George <nik@naturalnet.de> for the report.
    (Closes: #689842)
  * Update debian/copyright information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for debian/* packaging.
  * Bump Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper to (>= 9).
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Oct 2012 22:39:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://projects.martini.nu/shelldap
 
 Package: shelldap

## shelldap 1.1.0

=== debian/changelog ===
shelldap (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Add Suggests on libauthen-sasl-perl for SASL support in shelldap
  * Add fix-POD-error.patch patch to fix POD error
  * Update copyright years for debian/* packaging
  * Declare compliance with Debian Policy 3.9.5
  * Wrap and sort fields in debian/control file
  * Add Vcs-Browser and Vcs-Git fields

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Aug 2014 17:23:47 +0200

=== debian/control ===
Source: shelldap
Section: utils
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl
Standards-Version: 3.9.5
Homepage: http://projects.martini.nu/shelldap
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/carnil/shelldap.git
Vcs-Git: git://anonscm.debian.org/users/carnil/shelldap.git

Package: shelldap
Architecture: all
Depends:
 libalgorithm-diff-perl,
 libnet-ldap-perl,
 libterm-readkey-perl,
 libterm-readline-gnu-perl,
 libterm-shell-perl,
 libyaml-syck-perl,
 ${misc:Depends},
 ${perl:Depends}
Recommends: libio-socket-ssl-perl
Suggests: libauthen-sasl-perl
Description: shell-like interface for browsing LDAP servers and editing their content
 Shelldap lets you browse and edit an LDAP tree as if it were a filesystem.  It
 keeps command history, has sane autocompletes, credential caching, site-wide
 and individual configs, and it's fun to say. Shelldap! Shelldap! Shelldap!

## shelldap 1.2.0

=== debian/changelog ===
shelldap (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Drop fix-POD-error.patch patch
  * Update Vcs-Browser URL to cgit web frontend

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Aug 2014 08:57:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: perl
 Standards-Version: 3.9.5
 Homepage: http://projects.martini.nu/shelldap
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/carnil/shelldap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/shelldap.git
 Vcs-Git: git://anonscm.debian.org/users/carnil/shelldap.git
 
 Package: shelldap

## shelldap 1.3.1

=== debian/changelog ===
shelldap (1.3.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 28 Apr 2015 18:08:51 +0200

shelldap (1.3.1-1) experimental; urgency=medium

  * Imported Upstream version 1.3.1
  * Update copyright years for upstream files
  * Update copyright for debian/* packaging files
  * Add /usr/bin/editor fallback if EDITOR environment variable is not set
  * Add /usr/bin/pager fallback if PAGER environment variable is not set
  * Use valid license short name in License field.
    For upstream and debian/* packaging files a BSD-3-clause license is
    used. Adjust the used short name in the License field according to
    copyright-format 1.0.
  * Declare compliance with Debian Policy 3.9.6

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 08 Mar 2015 17:45:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://projects.martini.nu/shelldap
 Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/shelldap.git
 Vcs-Git: git://anonscm.debian.org/users/carnil/shelldap.git

=== debian/watch ===
# currently shelldap has no possibility to have a watch file
# since upstream released the current version on webpage only
# as tip.zip without containing the version.

## shelldap 1.3.2

=== debian/changelog ===
shelldap (1.3.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.2
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Declare compliance with Debian policy 3.9.7
  * Update copyright years for debian/* packaging files
  * debian/watch: Add watch url for new upstream releases
  * Add fix-spelling-error.patch patch to fix spelling errors
  * debian/copyright: Don't duplicate license text for BSD-3-clause.
    Create new License stanza and reference to it for upstream and debian/*
    packaging files stanzas.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Mar 2016 13:36:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://projects.martini.nu/shelldap
 Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/shelldap.git
-Vcs-Git: git://anonscm.debian.org/users/carnil/shelldap.git
+Vcs-Git: https://anonscm.debian.org/git/users/carnil/shelldap.git
 
 Package: shelldap
 Architecture: all

## shelldap 1.4.0

=== debian/changelog ===
shelldap (1.4.0-2ubuntu1) bionic; urgency=medium

  * Set TERM=xterm in our autopkgtest, since libterm-readline-gnu-perl
    deliberately refuses to run with TERM=dumb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Apr 2018 13:53:20 -0700

shelldap (1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Jun 2017 20:46:43 +0200

shelldap (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * Refresh add-{editor,pager}-fallback.patch (offsets)
  * Drop fix-spelling-error.patch (applied upstream)
  * Update copyright years for debian/* packaging files
  * Use HTTPS transport protocol in Format field for copyright-format
    specification URL
  * Declare compliance with Debian policy 4.0.0
  * Add simple smoke test for autopkgtest

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 09 Jun 2017 10:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: shelldap
 Section: utils
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://projects.martini.nu/shelldap
 Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/shelldap.git
 Vcs-Git: https://anonscm.debian.org/git/users/carnil/shelldap.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	pod2man --section 1p $(CURDIR)/shelldap $(CURDIR)/shelldap.1p

=== debian/watch ===
version=4
https://bitbucket.org/mahlon/shelldap/downloads .*/shelldap-(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## shelldap 1.5.0

=== debian/changelog ===
shelldap (1.5.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 06 Jul 2019 23:16:10 +0200

shelldap (1.5.0-1) experimental; urgency=medium

  * New upstream version 1.5.0
  * Update copyright years for upstream files
  * Update copyright files for debian/* packaging files
  * Refresh add-editor-fallback.patch patch
  * Refresh add-pager-fallback.patch patch
  * Update (simplify) salsa CI pipeline includes
  * Add Depends on libtie-ixhash-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Jun 2019 09:30:05 +0200

shelldap (1.4.0-4) unstable; urgency=medium

  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 23:26:25 +0100

shelldap (1.4.0-3) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * Add an initial Gitlab CI config file
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Set TERM=xterm in smoke-test autopkgtest.
    Thanks to Steve Langasek (Closes: #895155)
  * Fix wrong path for interpreter for installed shelldap
  * Set Rules-Requires-Root to no
  * debian/watch: Use @PACKAGE@, @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions
  * Bump Debhelper compat level to 11
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.2.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 07 Nov 2018 07:17:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: shelldap
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 9)
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: perl
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: http://projects.martini.nu/shelldap
-Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/shelldap.git
-Vcs-Git: https://anonscm.debian.org/git/users/carnil/shelldap.git
+Vcs-Browser: https://salsa.debian.org/carnil/shelldap
+Vcs-Git: https://salsa.debian.org/carnil/shelldap.git
+Rules-Requires-Root: no
 
 Package: shelldap
 Architecture: all
@@ -18,6 +18,7 @@
  libterm-readkey-perl,
  libterm-readline-gnu-perl,
  libterm-shell-perl,
+ libtie-ixhash-perl,
  libyaml-syck-perl,
  ${misc:Depends},
  ${perl:Depends}

## shelldap 1.5.1

=== debian/changelog ===
shelldap (1.5.1-1) unstable; urgency=medium

  * debian/watch: Switch to fetch releases from github
  * New upstream version 1.5.1
    - Repair SASL authentications, add a 'sasluser' option (Closes: #941411)
  * Declare compliance with Debian policy 4.4.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 13 Oct 2019 21:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: perl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://projects.martini.nu/shelldap
 Vcs-Browser: https://salsa.debian.org/carnil/shelldap
 Vcs-Git: https://salsa.debian.org/carnil/shelldap.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/mahlonsmith/@PACKAGE@/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## shelldap 1.5.2

=== debian/changelog ===
shelldap (1.5.2-2) unstable; urgency=medium

  * Homepage: Update to new location of upstream source (Closes: #1108313)
  * debian/copyright: Update source code reference location
  * Declare compliance with Debian policy 4.7.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Sep 2025 22:32:29 +0200

shelldap (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Declare smoke-test autopkgtest as superficial (Closes: #971503)
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * debian/watch: Use @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions
  * Bump Debhelper compat level to 13
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files
  * Update copyright years for upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Jan 2025 20:30:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl
-Standards-Version: 4.4.1
-Homepage: http://projects.martini.nu/shelldap
+Standards-Version: 4.7.2
+Homepage: https://code.martini.nu/mahlon/shelldap
 Vcs-Browser: https://salsa.debian.org/carnil/shelldap
 Vcs-Git: https://salsa.debian.org/carnil/shelldap.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_build:
	pod2man --section 1p $(CURDIR)/shelldap $(CURDIR)/shelldap.1p

override_dh_install:
	dh_install
	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' $(TMP)/usr/bin/*
